diff --git a/gcc/analyzer/region-model.cc b/gcc/analyzer/region-model.cc
index 890f7006fee..292d268300d 100644
--- a/gcc/analyzer/region-model.cc
+++ b/gcc/analyzer/region-model.cc
@@ -3356,14 +2472,14 @@ element_region2::compare_fields (const element_region2 &other) const
 /* FIXME.  */
 
 void
-element_region2::accept (visitor *v) const
+element_region::accept (visitor *v) const
 {
-  region2::accept (v);
+  region::accept (v);
   m_index->accept (v);
 }
 
 void
-element_region2::dump_to_pp (pretty_printer *pp, bool simple) const
+element_region::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -3376,7 +2492,7 @@ element_region2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "element_region2(");
+      pp_string (pp, "element_region(");
       get_parent_region ()->dump_to_pp (pp, simple);
       pp_string (pp, ", ");
       print_quoted_type (pp, get_type ());
@@ -3387,16 +2503,16 @@ element_region2::dump_to_pp (pretty_printer *pp, bool simple) const
 }
 
 void
-element_region2::add_to_hash (inchash::hash &hstate) const
+element_region::add_to_hash (inchash::hash &hstate) const
 {
-  region2::add_to_hash (hstate);
+  region::add_to_hash (hstate);
   hstate.add_ptr (m_index);
 }
 
-/* class offset_region2 : public region2.  */
+/* class offset_region : public region.  */
 
 bool
-offset_region2::compare_fields (const offset_region2 &other) const
+offset_region::compare_fields (const offset_region &other) const
 {
   return m_byte_offset == other.m_byte_offset;
 }
@@ -3404,14 +2520,14 @@ offset_region2::compare_fields (const offset_region2 &other) const
 /* FIXME.  */
 
 void
-offset_region2::accept (visitor *v) const
+offset_region::accept (visitor *v) const
 {
-  region2::accept (v);
+  region::accept (v);
   m_byte_offset->accept (v);
 }
 
 void
-offset_region2::dump_to_pp (pretty_printer *pp, bool simple) const
+offset_region::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -3423,7 +2539,7 @@ offset_region2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "offset_region2(");
+      pp_string (pp, "offset_region(");
       get_parent_region ()->dump_to_pp (pp, simple);
       pp_string (pp, ", ");
       print_quoted_type (pp, get_type ());
@@ -3434,16 +2550,16 @@ offset_region2::dump_to_pp (pretty_printer *pp, bool simple) const
 }
 
 void
-offset_region2::add_to_hash (inchash::hash &hstate) const
+offset_region::add_to_hash (inchash::hash &hstate) const
 {
-  region2::add_to_hash (hstate);
+  region::add_to_hash (hstate);
   hstate.add_ptr (m_byte_offset);
 }
 
-/* class cast_region2 : public region2.  */
+/* class cast_region : public region.  */
 
 bool
-cast_region2::compare_fields (const cast_region2 &other) const
+cast_region::compare_fields (const cast_region &other) const
 {
   return m_original_region == other.m_original_region;
 }
@@ -3451,14 +2567,14 @@ cast_region2::compare_fields (const cast_region2 &other) const
 /* FIXME.  */
 
 void
-cast_region2::accept (visitor *v) const
+cast_region::accept (visitor *v) const
 {
-  region2::accept (v);
+  region::accept (v);
   m_original_region->accept (v);
 }
 
 void
-cast_region2::dump_to_pp (pretty_printer *pp, bool simple) const
+cast_region::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   if (simple)
     {
@@ -3470,7 +2586,7 @@ cast_region2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
   else
     {
-      pp_string (pp, "cast_region2(");
+      pp_string (pp, "cast_region(");
       m_original_region->dump_to_pp (pp, simple);
       pp_string (pp, ", ");
       print_quoted_type (pp, get_type ());
@@ -3479,47 +2595,47 @@ cast_region2::dump_to_pp (pretty_printer *pp, bool simple) const
 }
 
 void
-cast_region2::add_to_hash (inchash::hash &hstate) const
+cast_region::add_to_hash (inchash::hash &hstate) const
 {
-  region2::add_to_hash (hstate);
+  region::add_to_hash (hstate);
   hstate.add_ptr (m_original_region);
 }
 
-/* class heap_allocated_region2 : public region2.  */
+/* class heap_allocated_region : public region.  */
 
 void
-heap_allocated_region2::dump_to_pp (pretty_printer *pp, bool simple) const
+heap_allocated_region::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   // TODO:
   if (simple)
     pp_printf (pp, "HEAP_ALLOCATED_REGION(%i)", get_id ());
   else
-    pp_printf (pp, "heap_allocated_region2(%i)", get_id ());
+    pp_printf (pp, "heap_allocated_region(%i)", get_id ());
 }
 
-/* class alloca_region2 : public region2.  */
+/* class alloca_region : public region.  */
 
 void
-alloca_region2::dump_to_pp (pretty_printer *pp, bool simple) const
+alloca_region::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   // TODO:
   if (simple)
     pp_string (pp, "ALLOCA_REGION");
   else
-    pp_string (pp, "alloca_region2()");
+    pp_string (pp, "alloca_region()");
 }
 
-/* class string_region2 : public region2.  */
+/* class string_region : public region.  */
 
 void
-string_region2::dump_to_pp (pretty_printer *pp, bool simple) const
+string_region::dump_to_pp (pretty_printer *pp, bool simple) const
 {
   // TODO:
   if (simple)
     dump_tree (pp, m_string_cst);
   else
     {
-      pp_string (pp, "string_region2(");
+      pp_string (pp, "string_region(");
       dump_tree (pp, m_string_cst);
       pp_string (pp, " (");
       pp_pointer (pp, m_string_cst);
@@ -3527,17 +2643,17 @@ string_region2::dump_to_pp (pretty_printer *pp, bool simple) const
     }
 }
 
-/* class unknown_region2 : public region2.  */
+/* class unknown_region : public region.  */
 
 void
-unknown_region2::dump_to_pp (pretty_printer *pp, bool /*simple*/) const
+unknown_region::dump_to_pp (pretty_printer *pp, bool /*simple*/) const
 {
   pp_string (pp, "UNKNOWN_REGION");
 }
 
-/* class region_model2_manager.  */
+/* class region_model_manager.  */
 
-region_model2_manager::region_model2_manager ()
+region_model_manager::region_model_manager ()
 : m_next_region_id (0),
   m_root_region (alloc_region_id ()),
   m_stack_region (alloc_region_id (), &m_root_region),
@@ -3553,7 +2669,7 @@ region_model2_manager::region_model2_manager ()
   // TODO
 }
 
-region_model2_manager::~region_model2_manager ()
+region_model_manager::~region_model_manager ()
 {
   /* Delete consolidated svalues.  */
   for (constants_map_t::iterator iter = m_constants_map.begin ();
@@ -3616,7 +2732,7 @@ region_model2_manager::~region_model2_manager ()
 /* Return true if C exceeds the complexity limit for svalues.  */
 
 bool
-region_model2_manager::too_complex_p (const complexity &c) const
+region_model_manager::too_complex_p (const complexity &c) const
 {
   /* TODO: check both num nodes and max_depth
      TODO: use params.  */
@@ -3636,7 +2752,7 @@ region_model2_manager::too_complex_p (const complexity &c) const
    Otherwise update m_max_complexity and return false.  */
 
 bool
-region_model2_manager::reject_if_too_complex (svalue2 *sval)
+region_model_manager::reject_if_too_complex (svalue *sval)
 {
   const complexity &c = sval->get_complexity ();
   if (!too_complex_p (c))
@@ -3663,7 +2779,7 @@ region_model2_manager::reject_if_too_complex (svalue2 *sval)
 }
 
 /* Macro for imposing a complexity limit on svalues, for use within
-   region_model2_manager member functions.
+   region_model_manager member functions.
 
    If SVAL is exceeds the complexity limit, delete it and return an UNKNOWN
    value of the same type.
@@ -3671,128 +2787,128 @@ region_model2_manager::reject_if_too_complex (svalue2 *sval)
 
 #define RETURN_UNKNOWN_IF_TOO_COMPLEX(SVAL)			\
   do {								\
-    svalue2 *sval_ = (SVAL);					\
+    svalue *sval_ = (SVAL);					\
     tree type_ = sval_->get_type ();				\
     if (reject_if_too_complex (sval_))				\
-      return get_or_create_unknown_svalue2 (type_);		\
+      return get_or_create_unknown_svalue (type_);		\
   } while (0)
 
-/* svalue2 consolidation.  */
+/* svalue consolidation.  */
 
-/* Return an svalue2 *for a constant_svalue2 for CST_EXPR,
-   creating the constant_svalue2 if necessary.
-   The constant_svalue2 instances are reused, based on pointer equality
+/* Return an svalue *for a constant_svalue for CST_EXPR,
+   creating the constant_svalue if necessary.
+   The constant_svalue instances are reused, based on pointer equality
    of trees  */
-const svalue2 *
-region_model2_manager::get_or_create_constant_svalue2 (tree cst_expr)
+const svalue *
+region_model_manager::get_or_create_constant_svalue (tree cst_expr)
 {
   gcc_assert (cst_expr);
 
-  constant_svalue2 **slot = m_constants_map.get (cst_expr);
+  constant_svalue **slot = m_constants_map.get (cst_expr);
   if (slot)
     return *slot;
-  constant_svalue2 *cst_sval = new constant_svalue2 (cst_expr);
+  constant_svalue *cst_sval = new constant_svalue (cst_expr);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (cst_sval);
   m_constants_map.put (cst_expr, cst_sval);
   return cst_sval;
   // TODO: cst equality vs tree pointer equality?
 }
 
-/* Return an svalue2 *for a unknown_svalue2 for TYPE (which can be NULL),
-   creating the unknown_svalue2 if necessary.
-   The unknown_svalue2 instances are reused, based on pointer equality
+/* Return an svalue *for a unknown_svalue for TYPE (which can be NULL),
+   creating the unknown_svalue if necessary.
+   The unknown_svalue instances are reused, based on pointer equality
    of trees  */
 
-const svalue2 *
-region_model2_manager::get_or_create_unknown_svalue2 (tree type)
+const svalue *
+region_model_manager::get_or_create_unknown_svalue (tree type)
 {
   /* FIXME: remove this special case in favor of fixing traits to
      allow for a NULL key (as opposed to it being the "empty" value) .  */
   if (type == NULL_TREE)
     {
       if (!m_unknown_NULL)
-	m_unknown_NULL = new unknown_svalue2 (type);
+	m_unknown_NULL = new unknown_svalue (type);
       return m_unknown_NULL;
     }
 
-  unknown_svalue2 **slot = m_unknowns_map.get (type);
+  unknown_svalue **slot = m_unknowns_map.get (type);
   if (slot)
     return *slot;
-  unknown_svalue2 *sval = new unknown_svalue2 (type);
+  unknown_svalue *sval = new unknown_svalue (type);
   m_unknowns_map.put (type, sval);
   return sval;
 }
 
-const svalue2 *
-region_model2_manager::get_or_create_initial_value (const region2 *reg)
+const svalue *
+region_model_manager::get_or_create_initial_value (const region *reg)
 {
   /* The initial value of a cast is a cast of the initial value.  */
-  if (const cast_region2 *cast_reg = reg->dyn_cast_cast_region2 ())
+  if (const cast_region *cast_reg = reg->dyn_cast_cast_region ())
     {
-      const region2 *original_reg = cast_reg->get_original_region ();
+      const region *original_reg = cast_reg->get_original_region ();
       return get_or_create_cast (cast_reg->get_type (),
 				 get_or_create_initial_value (original_reg));
     }
 
-  if (initial_svalue2 **slot = m_initial_values_map.get (reg))
+  if (initial_svalue **slot = m_initial_values_map.get (reg))
     return *slot;
-  initial_svalue2 *initial_sval = new initial_svalue2 (reg->get_type (), reg);
+  initial_svalue *initial_sval = new initial_svalue (reg->get_type (), reg);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (initial_sval);
   m_initial_values_map.put (reg, initial_sval);
   return initial_sval;
 }
 
-const svalue2 *
-region_model2_manager::get_or_create_setjmp_svalue2 (const setjmp_record &r,
-						     tree type)
+const svalue *
+region_model_manager::get_or_create_setjmp_svalue (const setjmp_record &r,
+						   tree type)
 {
-  setjmp_svalue2::key_t key (r, type);
-  if (setjmp_svalue2 **slot = m_setjmp_values_map.get (key))
+  setjmp_svalue::key_t key (r, type);
+  if (setjmp_svalue **slot = m_setjmp_values_map.get (key))
     return *slot;
-  setjmp_svalue2 *setjmp_sval = new setjmp_svalue2 (r, type);
+  setjmp_svalue *setjmp_sval = new setjmp_svalue (r, type);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (setjmp_sval);
   m_setjmp_values_map.put (key, setjmp_sval);
   return setjmp_sval;
 }
 
-const svalue2 *
-region_model2_manager::get_or_create_poisoned_svalue2 (enum poison_kind kind,
-						       tree type)
+const svalue *
+region_model_manager::get_or_create_poisoned_svalue (enum poison_kind kind,
+						     tree type)
 {
-  poisoned_svalue2::key_t key (kind, type);
-  if (poisoned_svalue2 **slot = m_poisoned_values_map.get (key))
+  poisoned_svalue::key_t key (kind, type);
+  if (poisoned_svalue **slot = m_poisoned_values_map.get (key))
     return *slot;
-  poisoned_svalue2 *poisoned_sval = new poisoned_svalue2 (kind, type);
+  poisoned_svalue *poisoned_sval = new poisoned_svalue (kind, type);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (poisoned_sval);
   m_poisoned_values_map.put (key, poisoned_sval);
   return poisoned_sval;
 }
 
-const svalue2 *
-region_model2_manager::get_ptr_svalue2 (tree ptr_type, const region2 *pointee)
+const svalue *
+region_model_manager::get_ptr_svalue (tree ptr_type, const region *pointee)
 {
   /* If this is a symbolic region from dereferencing a pointer, and the types
      match, then return the original pointer.  */
-  if (const symbolic_region2 *sym_reg = pointee->dyn_cast_symbolic_region2 ())
+  if (const symbolic_region *sym_reg = pointee->dyn_cast_symbolic_region ())
     if (ptr_type == sym_reg->get_pointer ()->get_type ())
       return sym_reg->get_pointer ();
 
   // FIXME: use ptr_type here:
-  if (region_svalue2 **slot = m_pointer_values_map.get (pointee))
+  if (region_svalue **slot = m_pointer_values_map.get (pointee))
     return *slot;
-  region_svalue2 *sval = new region_svalue2 (ptr_type, pointee);
+  region_svalue *sval = new region_svalue (ptr_type, pointee);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (sval);
   m_pointer_values_map.put (pointee, sval);
   return sval;
 }
 
-const svalue2 *
-region_model2_manager::maybe_fold_unaryop (tree type, enum tree_code op,
-					   const svalue2 *arg)
+const svalue *
+region_model_manager::maybe_fold_unaryop (tree type, enum tree_code op,
+					   const svalue *arg)
 {
   /* Ops on "unknown" are also unknown.  */
-  if (arg->get_kind () == svalue2::SK_UNKNOWN)
-    return get_or_create_unknown_svalue2 (type);
+  if (arg->get_kind () == svalue::SK_UNKNOWN)
+    return get_or_create_unknown_svalue (type);
 
   switch (op)
     {
@@ -3807,7 +2923,7 @@ region_model2_manager::maybe_fold_unaryop (tree type, enum tree_code op,
 	/* Fold "cast<TYPE> (cast <INNER_TYPE> (innermost_arg))
 	     => "cast<TYPE> (innermost_arg)",
 	   unless INNER_TYPE is narrower than TYPE.  */
-	if (const svalue2 *innermost_arg = arg->maybe_undo_cast ())
+	if (const svalue *innermost_arg = arg->maybe_undo_cast ())
 	  {
 	    tree inner_type = arg->get_type ();
 	    if (TYPE_PRECISION (type) <= TYPE_PRECISION (inner_type))
@@ -3818,7 +2934,7 @@ region_model2_manager::maybe_fold_unaryop (tree type, enum tree_code op,
     case TRUTH_NOT_EXPR:
       {
 	/* Invert comparisons e.g. "!(x == y)" => "x != y".  */
-	if (const binop_svalue2 *binop = arg->dyn_cast_binop_svalue2 ())
+	if (const binop_svalue *binop = arg->dyn_cast_binop_svalue ())
 	  if (TREE_CODE_CLASS (binop->get_op ()) == tcc_comparison)
 	    {
 	      enum tree_code inv_op
@@ -3836,36 +2952,36 @@ region_model2_manager::maybe_fold_unaryop (tree type, enum tree_code op,
   /* Constants.  */
   if (tree cst = arg->maybe_get_constant ())
     if (tree result = fold_unary (op, type, cst))
-      return get_or_create_constant_svalue2 (result);
+      return get_or_create_constant_svalue (result);
 
   return NULL;
 }
 
-const svalue2 *
-region_model2_manager::get_or_create_unaryop (tree type, enum tree_code op,
-					      const svalue2 *arg)
+const svalue *
+region_model_manager::get_or_create_unaryop (tree type, enum tree_code op,
+					      const svalue *arg)
 {
-  if (const svalue2 *folded = maybe_fold_unaryop  (type, op, arg))
+  if (const svalue *folded = maybe_fold_unaryop  (type, op, arg))
     return folded;
-  unaryop_svalue2::key_t key (type, op, arg);
-  if (unaryop_svalue2 **slot = m_unaryop_values_map.get (key))
+  unaryop_svalue::key_t key (type, op, arg);
+  if (unaryop_svalue **slot = m_unaryop_values_map.get (key))
     return *slot;
-  unaryop_svalue2 *unaryop_sval = new unaryop_svalue2 (type, op, arg);
+  unaryop_svalue *unaryop_sval = new unaryop_svalue (type, op, arg);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (unaryop_sval);
   m_unaryop_values_map.put (key, unaryop_sval);
   return unaryop_sval;
 }
 
-const svalue2 *
-region_model2_manager::get_or_create_cast (tree type, const svalue2 *arg)
+const svalue *
+region_model_manager::get_or_create_cast (tree type, const svalue *arg)
 {
   return get_or_create_unaryop (type, NOP_EXPR, arg);
 }
 
-const svalue2 *
-region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
-					 const svalue2 *arg0,
-					 const svalue2 *arg1)
+const svalue *
+region_model_manager::maybe_fold_binop (tree type, enum tree_code op,
+					 const svalue *arg0,
+					 const svalue *arg1)
 {
   tree cst0 = arg0->maybe_get_constant ();
   tree cst1 = arg1->maybe_get_constant ();
@@ -3874,7 +2990,7 @@ region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
     {
       if (tree result = fold_binary (op, type, cst0, cst1))
 	if (CONSTANT_CLASS_P (result))
-	  return get_or_create_constant_svalue2 (result);
+	  return get_or_create_constant_svalue (result);
     }
 
   if (FLOAT_TYPE_P (type)
@@ -3901,7 +3017,7 @@ region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
       /* (VAL * 0).  */
       if (cst1 && zerop (cst1))
 	// FIXME: check for integer type
-	return get_or_create_constant_svalue2 (build_int_cst (type, 0));
+	return get_or_create_constant_svalue (build_int_cst (type, 0));
       /* (VAL * 1) -> VAL.  */
       if (cst1 && integer_onep (cst1))
 	return arg0;
@@ -3912,7 +3028,7 @@ region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
 	{
 	  if (zerop (cst1))
 	    /* "(ARG0 && 0)" -> "0".  */
-	    return get_or_create_constant_svalue2 (build_int_cst (type, 0));
+	    return get_or_create_constant_svalue (build_int_cst (type, 0));
 	  else
 	    /* "(ARG0 && nonzero-cst)" -> "ARG0".  */
 	    return get_or_create_cast (type, arg0);
@@ -3935,7 +3051,7 @@ region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
   /* For associative ops, fold "(X op CST_A) op CST_B)" to
      "X op (CST_A op CST_B)".  */
   if (cst1 && associative_tree_code (op))
-    if (const binop_svalue2 *binop = arg0->dyn_cast_binop_svalue2 ())
+    if (const binop_svalue *binop = arg0->dyn_cast_binop_svalue ())
       if (binop->get_op () == op
 	  && binop->get_arg1 ()->maybe_get_constant ()
 	  && type == binop->get_type ()
@@ -3950,9 +3066,9 @@ region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
      associative_tree_code is false for POINTER_PLUS_EXPR, but we
      can fold:
        "(PTR ptr+ CST_A) ptr+ CST_B)" to "PTR ptr+ (CST_A ptr+ CST_B)".  */
-  /* e.g. in data-model-1.c: test_42c.  */
+  /* e.g. in data-model-1.c: test_4c.  */
   if (cst1 && op == POINTER_PLUS_EXPR)
-    if (const binop_svalue2 *binop = arg0->dyn_cast_binop_svalue2 ())
+    if (const binop_svalue *binop = arg0->dyn_cast_binop_svalue ())
       if (binop->get_op () == POINTER_PLUS_EXPR)
 	if (tree cst01 = binop->get_arg1 ()->maybe_get_constant ())
 	  {
@@ -3964,31 +3080,31 @@ region_model2_manager::maybe_fold_binop (tree type, enum tree_code op,
 
   /* Ops on "unknown" are also unknown (unless we can use one of the
      identities above).  */
-  if (arg0->get_kind () == svalue2::SK_UNKNOWN
-      || arg1->get_kind () == svalue2::SK_UNKNOWN)
-    return get_or_create_unknown_svalue2 (type);
+  if (arg0->get_kind () == svalue::SK_UNKNOWN
+      || arg1->get_kind () == svalue::SK_UNKNOWN)
+    return get_or_create_unknown_svalue (type);
 
   // TODO
 
   return NULL;
 }
 
-const svalue2 *
-region_model2_manager::get_or_create_binop (tree type, enum tree_code op,
-					    const svalue2 *arg0,
-					    const svalue2 *arg1)
+const svalue *
+region_model_manager::get_or_create_binop (tree type, enum tree_code op,
+					    const svalue *arg0,
+					    const svalue *arg1)
 {
   /* For commutative ops, put any constant on the RHS.  */
   if (arg0->maybe_get_constant () && commutative_tree_code (op))
     std::swap (arg0, arg1);
 
-  if (const svalue2 *folded = maybe_fold_binop (type, op, arg0, arg1))
+  if (const svalue *folded = maybe_fold_binop (type, op, arg0, arg1))
     return folded;
 
-  binop_svalue2::key_t key (type, op, arg0, arg1);
-  if (binop_svalue2 **slot = m_binop_values_map.get (key))
+  binop_svalue::key_t key (type, op, arg0, arg1);
+  if (binop_svalue **slot = m_binop_values_map.get (key))
     return *slot;
-  binop_svalue2 *binop_sval = new binop_svalue2 (type, op, arg0, arg1);
+  binop_svalue *binop_sval = new binop_svalue (type, op, arg0, arg1);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (binop_sval);
   m_binop_values_map.put (key, binop_sval);
   return binop_sval;
@@ -3996,9 +3112,9 @@ region_model2_manager::get_or_create_binop (tree type, enum tree_code op,
 
 /* FIXME.  */
 
-static const svalue2 *
+static const svalue *
 maybe_get_char_from_string_cst (tree string_cst, tree byte_offset_cst,
-				region_model2_manager *mgr)
+				region_model_manager *mgr)
 {
   gcc_assert (TREE_CODE (string_cst) == STRING_CST);
 
@@ -4015,46 +3131,46 @@ maybe_get_char_from_string_cst (tree string_cst, tree byte_offset_cst,
 	= build_int_cst_type (TREE_TYPE (TREE_TYPE (string_cst)),
 			      (TREE_STRING_POINTER (string_cst)
 			       [TREE_INT_CST_LOW (byte_offset_cst)]));
-      return mgr->get_or_create_constant_svalue2 (char_cst);
+      return mgr->get_or_create_constant_svalue (char_cst);
     }
   return NULL;
 }
 
-/* Subroutine of region_model2_manager::get_or_create_sub_svalue2.
-   Return a folded svalue2, or NULL.  */
+/* Subroutine of region_model_manager::get_or_create_sub_svalue.
+   Return a folded svalue, or NULL.  */
 
-const svalue2 *
-region_model2_manager::maybe_fold_sub_svalue2 (tree type,
-					       const svalue2 *parent_svalue2,
-					       const region2 *subregion)
+const svalue *
+region_model_manager::maybe_fold_sub_svalue (tree type,
+					     const svalue *parent_svalue,
+					     const region *subregion)
 {
   /* Subvalues of "unknown" are unknown.  */
-  if (parent_svalue2->get_kind () == svalue2::SK_UNKNOWN)
-    return get_or_create_unknown_svalue2 (type);
+  if (parent_svalue->get_kind () == svalue::SK_UNKNOWN)
+    return get_or_create_unknown_svalue (type);
 
   /* If we have a subregion of a zero-fill, it's zero.  */
-  if (const unaryop_svalue2 *unary
-      = parent_svalue2->dyn_cast_unaryop_svalue2 ())
+  if (const unaryop_svalue *unary
+      = parent_svalue->dyn_cast_unaryop_svalue ())
     {
       if (unary->get_op () == NOP_EXPR)
 	if (tree cst = unary->get_arg ()->maybe_get_constant ())
 	  if (zerop (cst))
 	    {
-	      const svalue2 *cst_sval
-		= get_or_create_constant_svalue2 (cst);
+	      const svalue *cst_sval
+		= get_or_create_constant_svalue (cst);
 	      return get_or_create_cast (type, cst_sval);
 	    }
     }
 
   /* Handle getting individual chars from a STRING_CST.  */
-  if (tree cst = parent_svalue2->maybe_get_constant ())
+  if (tree cst = parent_svalue->maybe_get_constant ())
     if (TREE_CODE (cst) == STRING_CST)
-      if (const element_region2 *element_reg
-	    = subregion->dyn_cast_element_region2 ())
+      if (const element_region *element_reg
+	    = subregion->dyn_cast_element_region ())
 	{
-	  const svalue2 *idx_sval = element_reg->get_index ();
+	  const svalue *idx_sval = element_reg->get_index ();
 	  if (tree cst_idx = idx_sval->maybe_get_constant ())
-	    if (const svalue2 *char_sval
+	    if (const svalue *char_sval
 		= maybe_get_char_from_string_cst (cst, cst_idx, this))
 	      return get_or_create_cast (type, char_sval);
 	}
@@ -4063,12 +3179,12 @@ region_model2_manager::maybe_fold_sub_svalue2 (tree type,
      i.e.
      Subvalue(InitialValue(R1), FieldRegion(R2, F))
        -> InitialValue(FieldRegion(R1, F)).  */
-  if (const initial_svalue2 *init_sval
-        = parent_svalue2->dyn_cast_initial_svalue2 ())
+  if (const initial_svalue *init_sval
+        = parent_svalue->dyn_cast_initial_svalue ())
     {
-      if (const field_region2 *field_reg = subregion->dyn_cast_field_region2 ())
+      if (const field_region *field_reg = subregion->dyn_cast_field_region ())
 	{
-	  const region2 *field_reg_new
+	  const region *field_reg_new
 	    = get_field_region (init_sval->get_region (),
 				field_reg->get_field ());
 	  return get_or_create_initial_value (field_reg_new);
@@ -4081,20 +3197,20 @@ region_model2_manager::maybe_fold_sub_svalue2 (tree type,
 
 /* FIXME.  */
 
-const svalue2 *
-region_model2_manager::get_or_create_sub_svalue2 (tree type,
-						  const svalue2 *parent_svalue2,
-						  const region2 *subregion)
+const svalue *
+region_model_manager::get_or_create_sub_svalue (tree type,
+						const svalue *parent_svalue,
+						const region *subregion)
 {
-  if (const svalue2 *folded
-	= maybe_fold_sub_svalue2 (type, parent_svalue2, subregion))
+  if (const svalue *folded
+	= maybe_fold_sub_svalue (type, parent_svalue, subregion))
     return folded;
 
-  sub_svalue2::key_t key (type, parent_svalue2, subregion);
-  if (sub_svalue2 **slot = m_sub_values_map.get (key))
+  sub_svalue::key_t key (type, parent_svalue, subregion);
+  if (sub_svalue **slot = m_sub_values_map.get (key))
     return *slot;
-  sub_svalue2 *sub_sval
-    = new sub_svalue2 (type, parent_svalue2, subregion);
+  sub_svalue *sub_sval
+    = new sub_svalue (type, parent_svalue, subregion);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (sub_sval);
   m_sub_values_map.put (key, sub_sval);
   return sub_sval;
@@ -4102,15 +3218,15 @@ region_model2_manager::get_or_create_sub_svalue2 (tree type,
 
 /* FIXME.  */
 
-const svalue2 *
-region_model2_manager::get_or_create_unmergeable (const svalue2 *arg)
+const svalue *
+region_model_manager::get_or_create_unmergeable (const svalue *arg)
 {
-  if (arg->get_kind () == svalue2::SK_UNMERGEABLE)
+  if (arg->get_kind () == svalue::SK_UNMERGEABLE)
     return arg;
 
-  if (unmergeable_svalue2 **slot = m_unmergeable_values_map.get (arg))
+  if (unmergeable_svalue **slot = m_unmergeable_values_map.get (arg))
     return *slot;
-  unmergeable_svalue2 *unmergeable_sval = new unmergeable_svalue2 (arg);
+  unmergeable_svalue *unmergeable_sval = new unmergeable_svalue (arg);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (unmergeable_sval);
   m_unmergeable_values_map.put (arg, unmergeable_sval);
   return unmergeable_sval;
@@ -4118,17 +3234,17 @@ region_model2_manager::get_or_create_unmergeable (const svalue2 *arg)
 
 /* FIXME.  */
 
-const svalue2 *
-region_model2_manager::get_or_create_widening_svalue2 (tree type,
-						       const program_point &point,
-						       const svalue2 *base_sval,
-						       const svalue2 *iter_sval)
+const svalue *
+region_model_manager::get_or_create_widening_svalue (tree type,
+						     const program_point &point,
+						     const svalue *base_sval,
+						     const svalue *iter_sval)
 {
-  widening_svalue2::key_t key (type, point, base_sval, iter_sval);
-  if (widening_svalue2 **slot = m_widening_values_map.get (key))
+  widening_svalue::key_t key (type, point, base_sval, iter_sval);
+  if (widening_svalue **slot = m_widening_values_map.get (key))
     return *slot;
-  widening_svalue2 *widening_sval
-    = new widening_svalue2 (type, point, base_sval, iter_sval);
+  widening_svalue *widening_sval
+    = new widening_svalue (type, point, base_sval, iter_sval);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (widening_sval);
   m_widening_values_map.put (key, widening_sval);
   return widening_sval;
@@ -4136,16 +3252,16 @@ region_model2_manager::get_or_create_widening_svalue2 (tree type,
 
 /* FIXME.  */
 
-const svalue2 *
-region_model2_manager::
-get_or_create_compound_svalue2 (tree type,
+const svalue *
+region_model_manager::
+get_or_create_compound_svalue (tree type,
 				const binding_map &map)
 {
-  compound_svalue2::key_t tmp_key (type, &map);
-  if (compound_svalue2 **slot = m_compound_values_map.get (tmp_key))
+  compound_svalue::key_t tmp_key (type, &map);
+  if (compound_svalue **slot = m_compound_values_map.get (tmp_key))
     return *slot;
-  compound_svalue2 *compound_sval
-    = new compound_svalue2 (type, map);
+  compound_svalue *compound_sval
+    = new compound_svalue (type, map);
   RETURN_UNKNOWN_IF_TOO_COMPLEX (compound_sval);
   /* Use make_key rather than reusing the key, so that we use a
      ptr to compound_sval's binding_map, rather than the MAP param.  */
